ObjectARX, AutoCAD. Среда программирования библиотеки C++




MDI-ЗНАЯ Уровень


Этот уровень совместимости обеспечивает минимальные требования для ObjectARX-приложения, чтобы функционировать в среде MDI без неудачи.

ObjectARX-приложение должно встретить{*выполнить*} требования этого уровня совместимости перед способностью законно установить SDI

переменную системы в 0.

Следующий список суммирует минимальные требования.

N Приложения не может сохранять данные " в документ " в глобальных или статических переменных.

N, если команда выполнена от прикладного контекста, это должно обеспечить явный документ блокировка.

N Автошепелявящиеся - зарегистрированные команды должен быть подготовлен, чтобы действовать в пределах множественных государств AutoLISP.

N Приложения должен регистрировать себя как MDI-ЗНАЮЩИЕ в течение их AcRx:: kInitAppMsg обработчик в acrxEntryPoint ().

Каждое требование описано подробно в следующих секциях.




Содержание  Назад  Вперед